<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Document</title>
  </head>

  <body>
    <script>
      // Как мы создавали объекты раньше
      function createUser() {
        const obj = {
          name: "Ira",
          lastName: "Stoetskaya",
        };
        return obj;
      }
      const user = createUser();
      // console.log(user);

      // А как теперь можем, с помощью конструктора

      function User() {
        this.name = "Ira";
        this.lastName = "Stoetskaya";
        console.log(this); // посмотрим, чему равен this внутри функции при вызове ее как обычно, и через ключевое слово new
        // return this писать не нужно - JS сделает это автоматически
      }

      const user1 = User(); // this будет равен Window
      const user2 = new User(); // this будет равен пустому объекту типа User
    </script>
  </body>
</html>
